Subject: Bug#4500: kernel-package fails when used on kernel-source

From: [email-masked]
Date: Sun, 15 Sep 96 13:13 EDT

Package: kernel-package
Version: 2.03           

I have kernel-source-2.0.6 installed (which patches cleanly with Linus'
patches for more recent kernels) and used to role my kernels with the scripts
from the kernel-source package, eg
	cd /usr/src/linux 
	make xconfig 
	./debian.rules kernel_image and therefore
 have a directory /usr/src/linux/debian with all the Debian control file for
the various targets.

Now I installed the newer kernel-package, and it fails! When I execute
	cd /usr/src/linux 
	make xconfig 
	make-kpkg --revision edd.1 kernel_image
it correctly infers that it has to start
	/usr/lib/kernel-package/debian/kernel.rules build
but this file because of the code tests 
	if [ -d "debian/" ]
which is true because of the directory from the old kernel-source-2.0.6
package. It then tries to execute
	 make -f /usr/src/kernel-source-2.0.6/debian/kernel.rules  build
which fails because _this_ debian directory contains no kernel.rules file.

The following patch fixes this for me:

miles:/usr/lib/kernel-package/debian [root] # diff -u kernel.rules*
--- kernel.rules        Sun Sep 15 13:02:53 1996
+++ kernel.rules.orig   Sun Sep 15 13:02:25 1996
@@ -88,7 +88,7 @@
 MODULE_LOC := /usr/src/modules
 SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
-DEBDIR := $(shell if [ -d "debian/" -a -f "debian/kernel.rules" ]; \
+DEBDIR := $(shell if [ -d "debian/" ]; \
                     then echo $(SRCTOP); \
                   elif [ -d "$(LIBLOC)/" ]; \
                     then echo "$(LIBLOC)"; \                   

There are still a couple of typos and spelling mistakes all over
kernel-package, and the READMEs seem to be a wild mix of old and new ones. 

Also, does this really belong into the misc section? 

-- 
Dirk Eddelb"uttel                             http://qed.econ.queensu.ca/~edd